<?php
$host = 'localhost';
$dbname = 'blacrhdy_bet1';
$username = 'blacrhdy_bet1';
$password = 'blacrhdy_bet1';

// PDO ile veritabanına bağlanma
try {
    $db = new PDO("mysql:host=$host;dbname=$dbname;charset=utf8mb4", $username, $password);
    $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
$db->exec("SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci");
} catch (PDOException $e) {
    echo "Veritabanı bağlantısı başarısız: " . $e->getMessage();
    exit();
}

$VERITRAL_API_KEY = getenv('VERITRAL_API_KEY');
$VERITRAL_API_SECRET = getenv('VERITRAL_API_SECRET');

// Doğrudan erişimi engelle (sadece web sayfaları için)
if (basename($_SERVER['PHP_SELF']) == basename(__FILE__) && !isset($_SERVER['HTTP_X_REQUESTED_WITH'])) {
    header('Location: index.php');
    exit();
}
?>
